MODULE grid_param
  INTEGER  :: iim_glo=40
  INTEGER  :: jjm_glo
  INTEGER,PARAMETER  :: nb_face=10
  INTEGER  :: llm=19
  INTEGER  :: nqtot ! number of tracers handled by advection scheme
  INTEGER  :: nqdyn ! number of dynamical tracers : 1 if dry, more if moist

CONTAINS

  SUBROUTINE init_grid_param(is_mpi_root)
    USE IOIPSL
    IMPLICIT NONE
    LOGICAL :: is_mpi_root
    CALL getin('nbp',iim_glo)
    jjm_glo=iim_glo
    CALL getin('llm',llm)
    nqtot=1
    CALL getin('nqtot',nqtot)
    IF(is_mpi_root) THEN
       PRINT *, 'GETIN nbp = ',iim_glo
       PRINT *, 'GETIN llm = ',llm
       PRINT *, 'GETIN nqtot = ',nqtot
    END IF
    
  END SUBROUTINE  init_grid_param

END MODULE grid_param
    
